> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revoengine.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create resource items.

> 
    ROLES: RESOURCE_WRITE,RESOURCE_ADMIN
    USER: true
    SERVICE ACCOUNT: true
    



## OpenAPI

````yaml post /api/v1/resources/{resourceId}/createItems
openapi: 3.0.0
info:
  title: RevoEngine Platform API
  description: >-
    Official documentation of RevoEngine Platform API<br>Build:
    67df453bb5b0f9b2894535729c66632b73a015a6
  version: Beta - 0.1.0
  contact:
    name: Support
    url: https://help.revong.com
    email: support@revong.com
  termsOfService: https://docs.revong.com/tos
servers:
  - url: https://api.revong.com
    description: RevoEngine Platform API - Production
  - url: https://api.test.revong.com
    description: RevoEngine Platform API - Test
security: []
tags: []
externalDocs:
  description: Documentation
  url: https://docs.revong.com
paths:
  /api/v1/resources/{resourceId}/createItems:
    post:
      tags:
        - Resources
      summary: Create resource items.
      description: |2-

            ROLES: RESOURCE_WRITE,RESOURCE_ADMIN
            USER: true
            SERVICE ACCOUNT: true
            
      operationId: ResourcesController_createResourceItem
      parameters:
        - name: resourceId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateResourceItemsDto'
      responses:
        '201':
          description: OK.
        '400':
          description: Bad input of the data.
        '403':
          description: Forbidden.
        '404':
          description: Not found.
      security:
        - bearer: []
components:
  schemas:
    CreateResourceItemsDto:
      type: object
      properties:
        upsert:
          type: boolean
          description: Specify if upsert is used (addOrUpdate)
        return:
          type: boolean
          description: Return created items (it doesnt return conflicted items).
        data:
          type: array
          items:
            $ref: '#/components/schemas/CreateResourceItemDto'
      required:
        - data
    CreateResourceItemDto:
      type: object
      properties:
        itemId:
          type: string
          description: You need to provide itemId.
        key:
          type: string
          description: You need to provide key.
        key1:
          type: string
        key2:
          type: string
        intval1:
          type: number
          description: You can provide intval1 value.
        intval2:
          type: number
          description: You can provide intval2 value.
        intval3:
          type: number
          description: You can provide intval3 value.
        intval4:
          type: number
          description: You can provide intval4 value.
        intval5:
          type: number
          description: You can provide intval5 value.
        intval6:
          type: number
          description: You can provide intval6 value.
        intval7:
          type: number
          description: You can provide intval7 value.
        intval8:
          type: number
          description: You can provide intval8 value.
        intval9:
          type: number
          description: You can provide intval9 value.
        intval10:
          type: number
          description: You can provide intval10 value.
        bolval1:
          type: boolean
          description: You can provide bolval1 value.
        bolval2:
          type: boolean
          description: You can provide bolval2 value.
        bolval3:
          type: boolean
          description: You can provide bolval3 value.
        bolval4:
          type: boolean
          description: You can provide bolval4 value.
        bolval5:
          type: boolean
          description: You can provide bolval5 value.
        bolval6:
          type: boolean
          description: You can provide bolval6 value.
        bolval7:
          type: boolean
          description: You can provide bolval7 value.
        bolval8:
          type: boolean
          description: You can provide bolval8 value.
        bolval9:
          type: boolean
          description: You can provide bolval9 value.
        bolval10:
          type: boolean
          description: You can provide bolval10 value.
        numval1:
          type: number
          description: You can provide numval1 value ,limited to 15 decimal places.
        numval2:
          type: number
          description: You can provide numval2 value ,limited to 15 decimal places.
        numval3:
          type: number
          description: You can provide numval3 value ,limited to 15 decimal places.
        numval4:
          type: number
          description: You can provide numval4 value ,limited to 15 decimal places.
        numval5:
          type: number
          description: You can provide numval5 value ,limited to 15 decimal places.
        numval6:
          type: number
          description: You can provide numval6 value ,limited to 15 decimal places.
        numval7:
          type: number
          description: You can provide numval7 value ,limited to 15 decimal places.
        numval8:
          type: number
          description: You can provide numval8 value ,limited to 15 decimal places.
        numval9:
          type: number
          description: You can provide numval9 value ,limited to 15 decimal places.
        numval10:
          type: number
          description: You can provide numval10 value ,limited to 15 decimal places.
        numval11:
          type: number
          description: You can provide numval11 value ,limited to 15 decimal places.
        numval12:
          type: number
          description: You can provide numval12 value ,limited to 15 decimal places.
        numval13:
          type: number
          description: You can provide numval13 value ,limited to 15 decimal places.
        numval14:
          type: number
          description: You can provide numval14 value ,limited to 15 decimal places.
        numval15:
          type: number
          description: You can provide numval15 value ,limited to 15 decimal places.
        numval16:
          type: number
          description: You can provide numval16 value ,limited to 15 decimal places.
        numval17:
          type: number
          description: You can provide numval17 value ,limited to 15 decimal places.
        numval18:
          type: number
          description: You can provide numval18 value ,limited to 15 decimal places.
        numval19:
          type: number
          description: You can provide numval19 value ,limited to 15 decimal places.
        numval20:
          type: number
          description: You can provide numval20 value ,limited to 15 decimal places.
        strval1:
          type: string
          description: You can provide strval1 value.
        strval2:
          type: string
          description: You can provide strval2 value.
        strval3:
          type: string
          description: You can provide strval3 value.
        strval4:
          type: string
          description: You can provide strval4 value.
        strval5:
          type: string
          description: You can provide strval5 value.
        strval6:
          type: string
          description: You can provide strval6 value.
        strval7:
          type: string
          description: You can provide strval7 value.
        strval8:
          type: string
          description: You can provide strval8 value.
        strval9:
          type: string
          description: You can provide strval9 value.
        strval10:
          type: string
          description: You can provide strval10 value.
        strval11:
          type: string
          description: You can provide strval11 value.
        strval12:
          type: string
          description: You can provide strval12 value.
        strval13:
          type: string
          description: You can provide strval13 value.
        strval14:
          type: string
          description: You can provide strval14 value.
        strval15:
          type: string
          description: You can provide strval15 value.
        strval16:
          type: string
          description: You can provide strval16 value.
        strval17:
          type: string
          description: You can provide strval17 value.
        strval18:
          type: string
          description: You can provide strval18 value.
        strval19:
          type: string
          description: You can provide strval19 value.
        strval20:
          type: string
          description: You can provide strval20 value.
        strval21:
          type: string
          description: You can provide strval21 value.
        strval22:
          type: string
          description: You can provide strval22 value.
        strval23:
          type: string
          description: You can provide strval23 value.
        strval24:
          type: string
          description: You can provide strval24 value.
        strval25:
          type: string
          description: You can provide strval25 value.
        strval26:
          type: string
          description: You can provide strval26 value.
        strval27:
          type: string
          description: You can provide strval27 value.
        strval28:
          type: string
          description: You can provide strval28 value.
        strval29:
          type: string
          description: You can provide strval29 value.
        strval30:
          type: string
          description: You can provide strval30 value.
        dtzval1:
          format: date-time
          type: string
          description: You can provide dtzval1 valueas DateString.
        dtzval2:
          format: date-time
          type: string
          description: You can provide dtzval2 valueas DateString.
        dtzval3:
          format: date-time
          type: string
          description: You can provide dtzval3 valueas DateString.
        dtzval4:
          format: date-time
          type: string
          description: You can provide dtzval4 valueas DateString.
        dtzval5:
          format: date-time
          type: string
          description: You can provide dtzval5 valueas DateString.
        dtzval6:
          format: date-time
          type: string
          description: You can provide dtzval6 valueas DateString.
        dtzval7:
          format: date-time
          type: string
          description: You can provide dtzval7 valueas DateString.
        dtzval8:
          format: date-time
          type: string
          description: You can provide dtzval8 valueas DateString.
        dtzval9:
          format: date-time
          type: string
          description: You can provide dtzval9 valueas DateString.
        dtzval10:
          format: date-time
          type: string
          description: You can provide dtzval10 valueas DateString.
        special1:
          type: object
          description: You can provide special1 value as JSON.
        special2:
          type: object
          description: You can provide special2 value as JSON.
        special3:
          type: object
          description: You can provide special3 value as JSON.
        special4:
          type: object
          description: You can provide special4 value as JSON.
        special5:
          type: object
          description: You can provide special5 value as JSON.
        special6:
          type: object
          description: You can provide special6 value as JSON.
        special7:
          type: object
          description: You can provide special7 value as JSON.
        special8:
          type: object
          description: You can provide special8 value as JSON.
        special9:
          type: object
          description: You can provide special9 value as JSON.
        special10:
          type: object
          description: You can provide special10 value as JSON.
      required:
        - itemId
        - key
        - key1
        - key2
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token with Platform JWT token or API Key.
      type: http

````